> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rampnow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# CreateBeneficiary



## OpenAPI

````yaml https://rampnow-io.github.io/core/partner_external.yaml post /api/partner/v1/ext/transfer_order/beneficiary
openapi: 3.1.0
info:
  description: API for partner_external service
  title: partner service
  version: 0.0.1
servers:
  - description: Base URL for Production Rampnow APIs
    url: https://api.rampnow.io
  - description: Base URL for Sandbox Rampnow APIs
    url: https://api.sandbox.rampnow.io
security: []
paths:
  /api/partner/v1/ext/transfer_order/beneficiary:
    post:
      tags:
        - Transfer Orders
      summary: CreateBeneficiary
      operationId: CreateBeneficiary
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateBeneficiaryRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  code:
                    type: integer
                  data:
                    $ref: '#/components/schemas/CreateBeneficiaryUserResponse'
                  displayError:
                    type: string
                  message:
                    type: string
                  traceId:
                    type: string
                required:
                  - code
                  - message
                  - traceId
                  - data
                type: object
          description: OK
components:
  schemas:
    CreateBeneficiaryRequest:
      properties:
        user:
          $ref: '#/components/schemas/CreateUserReq'
      type: object
    CreateBeneficiaryUserResponse:
      properties:
        country:
          $ref: '#/components/schemas/CountryCode'
        email:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        phone:
          type: string
        userUid:
          type: string
      required:
        - userUid
        - firstName
        - lastName
        - email
        - phone
        - country
      type: object
    CreateUserReq:
      properties:
        address:
          $ref: '#/components/schemas/Address'
        businessDetail:
          $ref: '#/components/schemas/BusinessDetail'
        country:
          $ref: '#/components/schemas/CountryCode'
        dateOfBirth:
          type: string
        email:
          type: string
        firstName:
          type: string
        gender:
          $ref: '#/components/schemas/GenderType'
        lastName:
          type: string
        phone:
          type: string
        userType:
          $ref: '#/components/schemas/UserType'
      required:
        - email
        - firstName
        - lastName
        - phone
        - dateOfBirth
        - gender
        - country
      type: object
    CountryCode:
      enum:
        - AD
        - AE
        - AF
        - AG
        - AI
        - AL
        - AM
        - AN
        - AO
        - AQ
        - AR
        - AS
        - AT
        - AU
        - AW
        - AX
        - AZ
        - BA
        - BB
        - BD
        - BE
        - BF
        - BG
        - BH
        - BI
        - BJ
        - BL
        - BM
        - BN
        - BO
        - BQ
        - BR
        - BS
        - BT
        - BV
        - BW
        - BY
        - BZ
        - CA
        - CC
        - CD
        - CF
        - CG
        - CH
        - CI
        - CK
        - CL
        - CM
        - CN
        - CO
        - CR
        - CU
        - CV
        - CW
        - CX
        - CY
        - CZ
        - DE
        - DJ
        - DK
        - DM
        - DO
        - DZ
        - EC
        - EE
        - EG
        - EH
        - ER
        - ES
        - ET
        - FI
        - FJ
        - FK
        - FM
        - FO
        - FR
        - GA
        - GB
        - GD
        - GE
        - GF
        - GG
        - GH
        - GI
        - GL
        - GM
        - GN
        - GP
        - GQ
        - GR
        - GS
        - GT
        - GU
        - GW
        - GY
        - HK
        - HM
        - HN
        - HR
        - HT
        - HU
        - ID
        - IE
        - IL
        - IM
        - IN
        - IO
        - IQ
        - IR
        - IS
        - IT
        - JE
        - JM
        - JO
        - JP
        - KE
        - KG
        - KH
        - KI
        - KM
        - KN
        - KP
        - KR
        - KW
        - KY
        - KZ
        - LA
        - LB
        - LC
        - LI
        - LK
        - LR
        - LS
        - LT
        - LU
        - LV
        - LY
        - MA
        - MC
        - MD
        - ME
        - MF
        - MG
        - MH
        - MK
        - ML
        - MM
        - MN
        - MO
        - MP
        - MQ
        - MR
        - MS
        - MT
        - MU
        - MV
        - MW
        - MX
        - MY
        - MZ
        - NA
        - NC
        - NE
        - NF
        - NG
        - NI
        - NL
        - 'NO'
        - NP
        - NR
        - NU
        - NZ
        - OM
        - PA
        - PE
        - PF
        - PG
        - PH
        - PK
        - PL
        - PM
        - PN
        - PR
        - PS
        - PT
        - PW
        - PY
        - QA
        - RE
        - RO
        - RS
        - RU
        - RW
        - SA
        - SB
        - SC
        - SD
        - SE
        - SG
        - SH
        - SI
        - SJ
        - SK
        - SL
        - SM
        - SN
        - SO
        - SR
        - SS
        - ST
        - SV
        - SX
        - SY
        - SZ
        - TC
        - TD
        - TF
        - TG
        - TH
        - TJ
        - TK
        - TL
        - TM
        - TN
        - TO
        - TR
        - TT
        - TV
        - TW
        - TZ
        - UA
        - UG
        - UM
        - US
        - UY
        - UZ
        - VA
        - VC
        - VE
        - VG
        - VI
        - VN
        - VU
        - WF
        - WS
        - XK
        - XX
        - YE
        - YT
        - YU
        - ZA
        - ZM
        - ZW
      type: string
    Address:
      properties:
        city:
          type: string
        country:
          $ref: '#/components/schemas/CountryCode'
        line1:
          type: string
        line2:
          type: string
        postalCode:
          type: string
        state:
          type: string
        subDivision:
          type: string
      required:
        - line1
        - city
        - country
        - postalCode
      type: object
    BusinessDetail:
      properties:
        associatedPersons:
          items:
            $ref: '#/components/schemas/AssociatedPersonInfo'
          type: array
        businessDescription:
          type: string
        businessLegalName:
          type: string
        businessType:
          $ref: '#/components/schemas/BusinessType'
        registeredAddress:
          $ref: '#/components/schemas/Address'
      required:
        - businessLegalName
        - businessType
        - businessDescription
        - associatedPersons
      type: object
    GenderType:
      enum:
        - unknown
        - male
        - female
      type: string
    UserType:
      enum:
        - individual
        - company
      type: string
    AssociatedPersonInfo:
      properties:
        address:
          $ref: '#/components/schemas/Address'
        dateOfBirth:
          type: string
        email:
          type: string
        firstName:
          type: string
        hasControl:
          type: boolean
        hasOwnership:
          type: boolean
        idDocs:
          items:
            $ref: '#/components/schemas/IdDoc'
          type: array
        isDirector:
          type: boolean
        isSigner:
          type: boolean
        lastName:
          type: string
        ownershipPercentage:
          type: number
        title:
          type: string
      required:
        - firstName
        - lastName
        - email
        - dateOfBirth
        - idDocs
        - hasOwnership
        - hasControl
        - isSigner
        - isDirector
        - title
      type: object
    BusinessType:
      enum:
        - unknown
        - corporation
        - llc
        - partnership
        - sole_prop
        - cooperative
        - trust
        - other
      type: string
    IdDoc:
      properties:
        backSideUrl:
          type: string
        docSetType:
          $ref: '#/components/schemas/DocSetType'
        documentId:
          type: string
        expiration:
          format: date-time
          type: string
        frontSideUrl:
          type: string
        issuingCountry:
          $ref: '#/components/schemas/CountryCode'
      required:
        - docSetType
        - documentId
        - frontSideUrl
        - backSideUrl
      type: object
    DocSetType:
      enum:
        - unknown
        - certificate_of_good_standing
        - certificate_of_incumbency
        - certificate_of_incorporation
        - business_license
        - commercial_register_extract
        - register_of_shareholders
        - memorandum_and_articles_of_association
        - internal_control_procedures
        - aml_policies
        - compliance_officer_details
        - ubo
        - passport
        - utility_bill
        - pep_declaration
        - sanctions_exposure
        - financial
        - aadhar_card
        - pan_card
        - national_id
        - other
        - driving_license
      type: string

````